document.addEventListener("DOMContentLoaded" , function() {
    const tabla = document.querySelector('table');

    tabla.addEventListener("click", function(evento) {
       const botonEliminar = evento.target.closest(".boton-eliminar");

        if (botonEliminar) {
            const idUsuarioEliminar = botonEliminar.dataset.idUsuario;
            const nombreUsuarioEliminar = botonEliminar.dataset.nombreUsuario;

            // Mostrar un mensaje de confirmación antes de eliminar
            if (!confirm("¿Desea eliminar al usuario " + nombreUsuarioEliminar + "?")) {
                return;
            }

            const data = new FormData();
            data.append("id_usuario", idUsuarioEliminar);

            fetch('../controllers/eliminarUsuario.php', {
                method: 'POST',
                body: data
            })
            .then(response => response.json())
            .then(data => {
                alert(data.mensaje);
                location.reload();
            })
            .catch((error) => {
                console.error('Error:', error);
            });
        }

    });
});